Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.stree
Class ElementImplWithNS

    java.lang.Object
      |
      +--org.apache.xalan.utils.UnImplNode
            |
            +--org.apache.xalan.stree.Child
                  |
                  +--org.apache.xalan.stree.Parent
                        |
                        +--org.apache.xalan.stree.ElementImpl
                              |
                              +--org.apache.xalan.stree.ElementImplWithNS

Direct Known Subclasses:
  IndexedElemWithNS

public class ElementImplWithNS
extends ElementImpl

Method Summary
`java.lang.String` | `getLocalName()` Returns the local part of the qualified name of this node.
`java.lang.String` | `getNamespaceURI()` The namespace URI of this node, or `null` if it is unspecified.
`java.lang.String` | `getPrefix()` The namespace prefix of this node, or `null` if it is unspecified.

Methods inherited from class org.apache.xalan.stree.ElementImpl
`createAttribute, createAttributeNS, getAttrCount, getAttribute, getAttributes, getChildAttribute, getChildCount, getFirstChild, getIndex, getIndex, getLength, getLocalName, getNamedItem, getNamedItemNS, getNodeName, getNodeType, getQName, getTagName, getType, getType, getType, getURI, getValue, getValue, getValue, item, removeItem, removeNamedItem, removeNamedItemNS, setAttribute, setAttributeNS, setAttributes, setIDAttribute, setNamedItem, setNamedItemNS`

Methods inherited from class org.apache.xalan.stree.Parent
`appendChild, getChild, getChildUID, getLastChild, hasChildNodes, isComplete, setComplete`

Methods inherited from class org.apache.xalan.stree.Child
`getChildPosition, getLevel, getNextSibling, getOwnerDocument, getParentNode, getPreviousSibling, getUid, isNamespaceNode, setLevel, supports`

Methods inherited from class org.apache.xalan.utils.UnImplNode
`appendData, cloneNode, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, error, error, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildNodes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getImplementation, getNodeValue, getOwnerElement, getSpecified, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertBefore, insertData, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceChild, replaceData, setAttributeNode, setAttributeNodeNS, setData, setNodeValue, setPrefix, setValue, splitText, substringData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  The namespace URI of this node, or `null` if it is unspecified.
  Overrides:
    getNamespaceURI in class Child

### getPrefix

    public java.lang.String getPrefix()

  The namespace prefix of this node, or `null` if it is unspecified.
  Overrides:
    getPrefix in class Child
  Since:
    DOM Level 2

### getLocalName

    public java.lang.String getLocalName()

  Returns the local part of the qualified name of this node.
  For nodes created with a DOM Level 1 method, such as `createElement` from the `Document` interface, it is `null`.
  Overrides:
    getLocalName in class ElementImpl
  Since:
    DOM Level 2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.